<html>
   <head>
      <meta HTTP-EQUIV='Pragma' CONTENT='no-cache'>
      <link rel="stylesheet" href='stylemain.css' type='text/css'>
         <link rel="stylesheet" href='colors.css' type='text/css'>
            <script language="javascript" src="util.js"></script>
            <script language="javascript">
<!-- hide
var dhcpClnt = '1';
var addr = '0.0.0.0';
var mask = '0.0.0.0';
var gateway = '0.0.0.0';

var enblIP6 = '0';
var addr6Type = ''; if ( addr6Type == '&nbsp' ) addr6Type = '';
var addr6 = '';  if (addr6 == '&nbsp') addr6 = '';
var subnetPrefixLen = '';  if (subnetPrefixLen == '&nbsp') subnetPrefixLen = '';
var gtwy6 = ''; if (gtwy6 == '&nbsp') gtwy6 = '';

var op60vid = '';
var op61duid = '';
var op61iaid = '';
var op125 = '0';
/*For now just set to disabled.  This is for later use 
#var enblAdvDmz = '0';
*/
var enblAdvDmz = '0'; 

function disableWanInfo() {
   with ( document.forms[0] ) {
      wanIpAddress.disabled = 1;
      wanIpAddress.value = '';
      wanSubnetMask.disabled = 1;
      wanSubnetMask.value = '';
      wanIntfGateway.disabled = 1;
      wanIntfGateway.value = '';

	  dhcpcOp60VID.disabled = 0;
	  dhcpcOp60VID.value = op60vid;
	  dhcpcOp61DUID.disabled = 0;
	  dhcpcOp61DUID.value = op61duid;
	  dhcpcOp61IAID.disabled = 0;
	  dhcpcOp61IAID.value = op61iaid;
	  dhcpcOp125.disabled = 0;
      if ( op125 == '0' ) {
         dhcpcOp125[0].checked = true;
      } else {
         dhcpcOp125[1].checked = true;
      }
	  
   }
}

function enableWanInfo() {
   with ( document.forms[0] ) {
      wanIpAddress.disabled = 0;
      wanIpAddress.value = addr;
      wanSubnetMask.disabled = 0;
      wanSubnetMask.value = mask;
      wanIntfGateway.disabled = 0
      wanIntfGateway.value = gateway;

	  dhcpcOp60VID.disabled = 1;
	  dhcpcOp60VID.value = '';
	  dhcpcOp61DUID.disabled = 1;
	  dhcpcOp61DUID.value = '';
	  dhcpcOp61IAID.disabled = 1;
	  dhcpcOp61IAID.value = '';
	  dhcpcOp125.disabled = 1;
   }
}

function wanClick() {
   with ( document.forms[0] ) {
      if ( wan[0].checked == true )
         disableWanInfo();
      else
         enableWanInfo();
   }
}

function disableWan6Info() {
   with ( document.forms[0] ) {
      wanAddress6.disabled = 1;
      wanAddress6.value = addr6;
      wanSubnetPrefixLen.disabled = 1;
      wanSubnetPrefixLen.value = subnetPrefixLen;
      wanGateway6.value = gtwy6;
   }
}

function enableWan6Info() {
   with ( document.forms[0] ) {
      wanAddress6.disabled = 0;
      wanAddress6.value = addr6;
      wanSubnetPrefixLen.disabled = 0;
      wanSubnetPrefixLen.value = subnetPrefixLen;
      wanGateway6.value = gtwy6;
   }
}

function wan6Click() {
   with ( document.forms[0] ) {
      if ( wan6[0].checked == true )
         disableWan6Info();
      else
         enableWan6Info();
   }
}

function hideWan6Info(hide) {
   var status = 'visible';

   if ( hide == 1 )
      status = 'hidden';
   if (document.getElementById)  // DOM3 = IE5, NS6
      document.getElementById('wan6Info').style.visibility = status;
   else {
      if (document.layers == false) // IE4
         document.all.wan6Info.style.visibility = status;
   }

   if (hide == 0) {
      wan6Click();
   }
}

function frmLoad() {
   with ( document.forms[0] ) {
   	
      if (enblAdvDmz == 1) {
	    var enblAdvancedDmz = '';
  	    var nonDmzIpAddr = '';
	    var nonDmzIpMsk = '';
        if ( enblAdvancedDmz == '1' )
          enableAdvancedDmz.checked = true;
        else
          enableAdvancedDmz.checked = false;	
        nonDmzIpAddress.value = nonDmzIpAddr;
        nonDmzIpMask.value = nonDmzIpMsk;		 
      }
	
      if ( dhcpClnt == '1' ) {
         wan[0].checked = true;
         disableWanInfo();
      } else {
         wan[1].checked = true;
         enableWanInfo();
      }
      
      if ( enblIP6 == '1' ) {
         if (addr6Type == 'Static')
            wan6[1].checked = true;
         else
            wan6[0].checked = true;
         hideWan6Info(0);
      } else {
         hideWan6Info(1);
      }
   }
}

function btnNext() {
   var loc = 'natcfg2.cgi?';

   with ( document.forms[0] ) {
      // wan IP address
      if ( wan[0].checked == true ) {
         loc += 'enblDhcpClnt=1';   // auto WAN address
	  if (enblAdvDmz == 1) {
             // validate non DMZ IP address and Netmask
            if ( enableAdvancedDmz.checked == true ) {
               if ( isValidIpAddress(nonDmzIpAddress.value) == false ) {
                 alert('Address "' + nonDmzIpAddress.value + '" is invalid IP address.');
                 return;
               }
               if ( isValidIpAddress(nonDmzIpMask.value) == false ) {
                  alert('Address "' + nonDmzIpMask.value + '" is invalid Netmask.');
                 return;
               }
	       loc += '&enableAdvancedDmz=1';
	       loc += '&nonDmzIpAddress=' + nonDmzIpAddress.value;
	       loc += '&nonDmzIpMask=' + nonDmzIpMask.value;
            } else {
	       loc += '&enableAdvancedDmz=0';
	    }
	  }
         if (dhcpcOp60VID.value.length > 255) {
            msg = 'Maximum Option 60 Vendor ID cannot exceed 255 characters.';
            alert(msg);
            return;
         }
         loc += '&dhcpcOp60VID=' + dhcpcOp60VID.value;
         if (dhcpcOp61IAID.value.length != 0 && (dhcpcOp61IAID.value.length != 8 || isValidKey(dhcpcOp61IAID.value,4) == false)) {
            msg = 'Option 61 IAID must be 8 hexadecimal digits.';
            alert(msg);
            return;
         }
         loc += '&dhcpcOp61IAID=' + dhcpcOp61IAID.value;
         if (dhcpcOp61DUID.value.length > 255) {
            msg = 'Maximum Option 61 DUID cannot exceed 255 characters.';
            alert(msg);
            return;
         }
         loc += '&dhcpcOp61DUID=' + dhcpcOp61DUID.value;
	 if((dhcpcOp61DUID.value.length != 0 && dhcpcOp61IAID.value.length == 0) || 
	 	(dhcpcOp61DUID.value.length == 0 && dhcpcOp61IAID.value.length != 0)    ) {
            msg = 'Set both IAID and DUID for option 61.';
            alert(msg);
            return;
	 }

         if ( dhcpcOp125[0].checked == true )
            loc += '&dhcpcOp125Enabled=0';  
	 else
            loc += '&dhcpcOp125Enabled=1';  

      	}
		 
      else {
         loc += 'enblDhcpClnt=0';   // static WAN address
         if ( isValidIpAddress(wanIpAddress.value) == false ) {
            alert('WAN IP address "' + wanIpAddress.value + '" is invalid IP address.');
            return;
         }
         loc += '&wanIpAddress=' + wanIpAddress.value;
         if ( isValidIpAddress(wanSubnetMask.value) == false ) {
            alert('WAN subnet mask "' + wanSubnetMask.value + '" is invalid IP address.');
            return;
         }
         loc += '&wanSubnetMask=' + wanSubnetMask.value;

         if ( isValidIpAddress(wanIntfGateway.value) == false ) {
            alert('WAN subnet mask "' + wanIntfGateway.value + '" is invalid gateway IP address.');
            return;
         }
         loc += '&wanIntfGateway=' + wanIntfGateway.value;
      }

      if ( enblIP6 == '1' ) {
         if ( wan6[0].checked == true )
            loc += '&wanAddr6Type=DHCP';   // auto WAN address
         else {
            loc += '&wanAddr6Type=Static';   // static WAN address
            if (wanAddress6.value != '' && isValidIpAddress6(wanAddress6.value) == false) {
               alert('Invalid WAN IPv6 address.');
               return;
            }
            loc += '&wanAddr6=' + wanAddress6.value;
            if (wanSubnetPrefixLen.value != '' && isValidPrefixLength(wanSubnetPrefixLen.value) == false) {
               alert('Invalid WAN IPv6 address prefix length.');
               return;
            }
            loc += '&wanAddr6PrefixLen=' + wanSubnetPrefixLen.value;
         }

         if (wanGateway6.value == '') {
            alert('Please enter the next hop IPv6 address for this connection.');
            return;
         }
         if (wanGateway6.value != '' && isValidIpAddress6(wanGateway6.value) == false) {
            alert('Invalid next hop IPv6 address.');
            return;
         }
         loc += '&wanGtwy6=' + wanGateway6.value;
      }
   }

   var code = 'location="' + loc + '"';
   window.location.href="natcfg2.cgi";
   //eval(code);
}

function advancedDmzClick(cb) {
   with ( document.forms[0] ) {
     setDisable(nonDmzIpAddress, cb.checked != true);
     setDisable(nonDmzIpMask, cb.checked != true);
   }
}

function btnBack() {
   var loc = 'wansrvc.cmd';

   var code = 'location="' + loc + '"';
   eval(code);
}

// done hiding -->
</script>
   </head>
   <body onLoad='frmLoad()'>
      <blockquote>
         <form>
            <b>WAN IP Settings</b><br><br>
            Enter information provided to you by your ISP to configure the WAN IP settings.<br>
            Notice: If "Obtain an IP address automatically" is chosen, DHCP will be enabled for PVC in MER mode.<br>
            If "Use the following Static IP address" is chosen, enter the WAN IP address, subnet mask and interface gateway.<br><br>
              <table border="0" cellpadding="0" cellspacing="0">
                 <tr>
                    <td colspan="2"><input type="radio" name="wan" onClick='wanClick()'>&nbsp;&nbsp;Obtain an IP address automatically </td>
                 </tr>
                 <tr>
                    <td width="160">Option 60 Vendor ID:</td>
                    <td><input type='text' name='dhcpcOp60VID'></td>
                 </tr>
                 <tr>
                    <td width="160">Option 61 IAID:</td>
                    <td><input type='text' name='dhcpcOp61IAID'></td>
                    <td></td>
                    <td>&nbsp;(8 hexadecimal digits)</td>
                 </tr>
                 <tr>
                    <td width="160">Option 61 DUID:</td>
                    <td><input type='text' name='dhcpcOp61DUID'></td>
                    <td></td>
                    <td>&nbsp;(hexadecimal digit)</td>                    
                 </tr>
                 <tr>
                    <td width="160">Option 125:</td>
                    <td colspan="2"><input type="radio" name="dhcpcOp125">Disable</td>
                    <td colspan="2"><input type="radio" name="dhcpcOp125">Enable</td>
                 </tr>
                 <tr>
                    <td colspan="2"><input type="radio" name="wan" onClick='wanClick()'>&nbsp;&nbsp;Use the following Static IP address:</td>
                 </tr>
                 <tr>
                    <td width="160">WAN IP Address:</td>
                    <td><input type='text' name='wanIpAddress'></td>
                 </tr>
                 <tr>
                    <td>WAN Subnet Mask:</td>
                    <td><input type='text' name='wanSubnetMask'></td>
                 </tr>
                 <tr>
                    <td>WAN gateway IP Address:</td>
                    <td><input type='text' name='wanIntfGateway'></td>
                 </tr>
              </table><br><br>

<script language="javascript">
<!-- hide
if (enblAdvDmz == '1')
{      
   document.writeln("<div id='advancedDmzInfo'>");
   document.writeln("<table border='0' cellpadding='0' cellspacing='0'>");
   document.writeln("<tr>");
   document.writeln("<td width='30' height='30'><input type='checkbox' name='enableAdvancedDmz' onClick='advancedDmzClick(this)'></td>");
   document.writeln("<td>Advanced DMZ</td>");
   document.writeln("</tr>");
   document.writeln("</table>");

   document.writeln("</div>");
   document.writeln("<div id='nonDmzIpAddressInfo'>");
   document.writeln("<table border='0' cellpadding='0' cellspacing='0'>");
   document.writeln("<tr>");
   document.writeln("<td width='140'>Non DMZ IP Address:&nbsp;&nbsp;</td>");
   document.writeln("<td><input type='text' name='nonDmzIpAddress'></td>");
   document.writeln("</tr>");
   document.writeln("<tr>");
   document.writeln("<td width='140'>Non DMZ Net Mask:&nbsp;&nbsp;</td>");
   document.writeln("<td><input type='text' name='nonDmzIpMask'></td>");
   document.writeln("</tr>");
   document.writeln("</table>");
   document.writeln("<br>");
   document.writeln("</div>");
}
// done hiding -->
</script>
            <div id='wan6Info'>
              <P>
                 Enter information provided to you by your ISP to configure the WAN IPv6 settings.<br>
                 Notice: If "Obtain an IPv6 address automatically" is chosen, DHCPv6 Client will be enabled on this WAN interface.<br>
                 If "Use the following Static IPv6 address" is chosen, enter the WAN IPv6 address.<br><br>
              </P>
              <table border="0" cellpadding="0" cellspacing="0">
                 <tr>
                    <td colspan="2"><input type="radio" name="wan6" onClick='wan6Click()'>&nbsp;&nbsp;Obtain an IPv6 address automatically </td>
                 </tr>
                 <tr>
                    <td colspan="2"><input type="radio" name="wan6" onClick='wan6Click()'>&nbsp;&nbsp;Use the following Static IPv6 address:</td>
                 </tr>
                 <tr>
                    <td width="160">WAN IPv6 Address:</td>
                    <td><input type='text' name='wanAddress6'></td>
                 </tr>
                 <tr>
                    <td width="160">WAN IPv6 Subnet Prefix Length:</td>
                    <td><input type='text' name='wanSubnetPrefixLen'></td>
                 </tr>
              </table><br><br>
              <P>Specify a default IPv6 gateway for this WAN interface.<br></P>
              <table border="0" cellpadding="0" cellspacing="0">
                 <tr>
                    <td>Static WAN Gateway IPv6 Address:</td>
                    <td><input type='text' name='wanGateway6'></td>
                 </tr>
              </table><br><br>
            </div>
            <center>
               <input type='button' onClick='btnBack()' value='Back'> <input type='button' onClick='btnNext()' value='Next'>
            </center>
         </form>
      </blockquote>
   </body>
</html>
